Множественные уязвимости в QQPlayer

Дата публикации:
28.07.2010
Дата изменения:
28.07.2010
Всего просмотров:
2159
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
3
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:C/I:C/A:C/E:P/RL:O/RC:C) = Base:10/Temporal:7.8
(AV:N/AC:L/Au:N/C:C/I:C/A:C/E:P/RL:O/RC:C) = Base:10/Temporal:7.8
(AV:N/AC:L/Au:N/C:C/I:C/A:C/E:P/RL:O/RC:C) = Base:10/Temporal:7.8
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
QQPlayer 2.x
Уязвимые версии: QQPlayer 2.3.969.400p1, возможно другие версии.

Описание:
Обнаруженные уязвимости позволят удаленному пользователю выполнить произвольный код на целевой системе.

1. Уязвимость существует из-за ошибки проверки границ данных при обработке ASX файлов. Удаленный пользователь может с помощью специально сформированного ASX файла вызвать переполнение стека и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки проверки границ данных при обработке CUE файлов. Удаленный пользователь может с помощью специально сформированного CUE файла вызвать переполнение стека и выполнить произвольный код на целевой системе.

3. Уязвимость существует из-за ошибки проверки границ данных при обработке SMI файлов. Удаленный пользователь может с помощью специально сформированного SMI файла вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.qq.com

Решение: Установите последнюю версию 2.4.716.400p1 с сайта производителя.

Ссылки: QQplayer smi File Processing Buffer Overflow Exploit
QQPlayer asx File Processing Buffer Overflow Exploit
QQPlayer cue File Buffer Overflow Exploit

или введите имя

CAPTCHA